import { Org, OrgWrite, OrgWritePatch, WrappedOrg, WrappedWithMetaArrayOrg } from "../api.js";
import { FindQueryParams, GetQueryParams } from "../model/queryParams.js";
import { Auth } from "./auth.js";
export declare class OrgsClient {
    private client;
    constructor(basePath: string, auth: Auth);
    create(org: OrgWrite): Promise<WrappedOrg>;
    get(id: string, query?: GetQueryParams): Promise<WrappedOrg>;
    find(findParams?: FindQueryParams<Org>): Promise<WrappedWithMetaArrayOrg>;
    patch(id: string, org: OrgWritePatch): Promise<WrappedOrg>;
}
